Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Oct 2012 09:48:55 -0400

> +     (define-key map [mouse-1] 'dired-mouse-find-file-this-window)

I don't think we can use this by default (but a user can have it as
a local customization, of course).

> Alternatively, we could bind mouse-2 to a command
> `dired-mouse-find-file' which according to some option say
> `dired-mouse-find-file-other-window' would visit the file in the
> selected or another window.

I hope we can start moving in this direction, indeed.

As mentioned months ago, I'd like to move away from all the
foo(|-other-(frame-window)) madness since I suspect that most users
only use one of those alternatives.

So instead, we should only have `find-file' (which the user could
customize the use this-window, other-window, or other-frame) and that
would be complemented by new prefix commands that cause the next command
to use "other-window" or "this-window" or "other-frame".

        Stefan